#version 330

uniform sampler2D DiffuseSampler;
uniform sampler2D StorageSampler;
uniform sampler2D FinalSampler;

in vec2 texCoord;
out vec4 fragColor;

void main() {
    vec4 color = texture(DiffuseSampler, texCoord);
    vec4 glow = texture(FinalSampler, texCoord);
    vec4 fade = texture(StorageSampler, vec2(0.3));
    
    if (glow.r > 0.1) {color += fade;}
    if (glow.r < 1.0) {color = vec4(vec3(color.g*0.59+color.r*0.3+color.b*0.11),1.0);}

    //vec4 storage = texture(StorageSampler, texCoord);
    //if (texCoord.x < 0.35 && texCoord.y > 0.9) {color = storage;}

    fragColor = color;
}